using SewerStammGen.DAL.Services;
using SewerStammGen.DAL.Services.PostgresqlData;
using SewerStammGen.Shared.Contracts;
using SewerStammGen.Shared.Domain;
using SewerStammGen.Shared.Enum;
using System.Diagnostics;

namespace SewerStammGen.ConsoleApp
{
    internal class Program
    {
        static void Main(string[] args)
        {
            IProjektDataService projektService = new ProjektDataService("");

            Projekt neuesProjekt = new Projekt()
            {
                Erstelldatum = "test",
                Projektname = "test",
                Kodierungssystem = EKodierungssystem.EN13508_2_2011,
                ExportType = EExportType.XML2006,
                Ort = "test",
                Strasse = "test",
            };

            //test(neuesProjekt, projektService);
            readtest(projektService);
            Console.WriteLine("Hello, World!");
        }

        private static async void readtest(IProjektDataService projektService)
        {
            var m = await projektService.GetAll();
            Debugger.Break();
        }

        private static async void test(Projekt neuesProjekt, IProjektDataService projektService)
        {
            var m = await projektService.Create(neuesProjekt);
            Console.WriteLine(m.Id);
        }
    }
}